**Source URL:** https://general.veevavault.dev/commercial/vault-api/api-reference/26.1/workflows/workflow-tasks/complete-single-record-workflow-task.md

# Complete Single Record Workflow Task



Complete an open workflow task for a workflow configured for a single record. This endpoint does not support initiating task actions requiring eSignatures (where `esignature` is `true`).

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/complete" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

Controls with `required=true` in the [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details) response must be provided. If a control (such as `verdict`) defines a set of required fields, those must also be provided. For example, a specific verdict may prompt for comments, reasons, or capacities.

This request may require the following body parameters:

<FieldTable>
| Name | Description |
| --- | --- |
| `verdict_public_key__c` | The verdict name. Retrieve possible verdict `name` values by sending a request to [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `reason__c` | The reason name. Retrieve possible reason `name` values by sending a request to [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `capacity__c` | The capacity name. Retrieve possible capacity `name` values by sending a request to [Retrieve Workflow Task Action Details](/vault-api/api-reference/26.1/workflows/workflow-tasks/retrieve-workflow-task-action-details). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'verdict_not_approved_comment__c=Can'\''t approve this batch.' \
-d 'verdict_public_key__c=verdict_not_approved__c'
https://myvault.veevavault.com/api/v25.1/objects/objectworkflows/tasks/9201/actions/complete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault completes the workflow task on behalf of the authenticated user.



---

**Previous:** [Complete Multi-item Workflow Task](/commercial/vault-api/api-reference/26.1/workflows/workflow-tasks/complete-multi-item-workflow-task)  
**Next:** [Reassign Multi-item Workflow Task](/commercial/vault-api/api-reference/26.1/workflows/workflow-tasks/reassign-multi-item-workflow-task)